/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { classNames as t } from "./classNames.mjs";
import { guid as a } from "./guid.mjs";
import { Keys as p } from "./keys.mjs";
import { canUseDOM as l } from "./canUseDOM.mjs";
import { getRef as i, setRef as n } from "./refs.mjs";
import { firstFocusableChild as c, focusContainer as g, focusFirstFocusableChild as d, focusLastFocusableChild as I, lastFocusableChild as E } from "./focus.mjs";
import { Draggable as h } from "./Draggable.mjs";
import { clone as D, cloneArray as S, cloneDate as b, cloneObject as v, cloneValue as T } from "./clone.mjs";
import { isObject as L } from "./isObject.mjs";
import { noop as C } from "./noop.mjs";
import { getter as N } from "./getter.mjs";
import { setter as P } from "./setter.mjs";
import { getListeners as V, hasListener as k } from "./listeners.mjs";
import { getTemplate as U, templateDefinition as y, templateRendering as K } from "./templateRendering.mjs";
import { getTabIndex as j } from "./getTabIndex.mjs";
import { getDefaultSlots as G } from "./defaultSlots.mjs";
import { getDir as q, isRtl as z } from "./isRtl.mjs";
import { shouldShowValidationUI as J, validatePackage as Q } from "./validate-package.mjs";
import { AdaptiveModeProvider as Z } from "./providers/AdaptiveModeProvider.mjs";
import { ADAPTIVE_MEDIUM_BREAKPOINT as ee, ADAPTIVE_SMALL_BREAKPOINT as oe, FIELD_REGEX as te } from "./constants/main.mjs";
import { kendoThemeMaps as ae } from "./theme.mjs";
import { extendDataItem as pe, getItemPath as fe, getNestedValue as le, mapTree as xe, mapTreeItem as ie } from "./treeDataOperations.mjs";
import { BrowserSupportService as se } from "./browser-support.service.mjs";
import { getScrollbarWidth as ge, setScrollbarWidth as de } from "./scrollbarWidth.mjs";
import { hasRelativeStackingContext as Ee } from "./hasRelativeStackingContext.mjs";
import { Icon as he } from "./icons/Icon.mjs";
import { FontIcon as De } from "./icons/FontIcon.mjs";
import { SvgIcon as be } from "./icons/SvgIcon.mjs";
import { getIconName as Te } from "./icons/getIconName.mjs";
import { FOCUSABLE_ELEMENTS as Le, Navigation as Re } from "./navigation.mjs";
import { getActiveElement as Me, getInnerActiveElement as Ne } from "./getActiveElement.mjs";
import { WatermarkOverlay as Pe } from "./watermark/WatermarkOverlay.mjs";
export {
  ee as ADAPTIVE_MEDIUM_BREAKPOINT,
  oe as ADAPTIVE_SMALL_BREAKPOINT,
  Z as AdaptiveModeProvider,
  se as BrowserSupportService,
  h as Draggable,
  te as FIELD_REGEX,
  Le as FOCUSABLE_ELEMENTS,
  De as FontIcon,
  he as Icon,
  p as Keys,
  Re as Navigation,
  be as SvgIcon,
  Pe as WatermarkOverlay,
  l as canUseDOM,
  t as classNames,
  D as clone,
  S as cloneArray,
  b as cloneDate,
  v as cloneObject,
  T as cloneValue,
  pe as extendDataItem,
  c as firstFocusableChild,
  g as focusContainer,
  d as focusFirstFocusableChild,
  I as focusLastFocusableChild,
  Me as getActiveElement,
  G as getDefaultSlots,
  q as getDir,
  Te as getIconName,
  Ne as getInnerActiveElement,
  fe as getItemPath,
  V as getListeners,
  le as getNestedValue,
  i as getRef,
  ge as getScrollbarWidth,
  j as getTabIndex,
  U as getTemplate,
  N as getter,
  a as guid,
  k as hasListener,
  Ee as hasRelativeStackingContext,
  L as isObject,
  z as isRtl,
  ae as kendoThemeMaps,
  E as lastFocusableChild,
  xe as mapTree,
  ie as mapTreeItem,
  C as noop,
  n as setRef,
  de as setScrollbarWidth,
  P as setter,
  J as shouldShowValidationUI,
  y as templateDefinition,
  K as templateRendering,
  Q as validatePackage
};
