/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { ADAPTIVE_SMALL_BREAKPOINT as e, ADAPTIVE_MEDIUM_BREAKPOINT as r } from "../constants/main.mjs";
import { defineComponent as t } from "vue";
const o = /* @__PURE__ */ t({
  name: "AdaptiveModeProvider",
  props: {
    small: {
      type: Number,
      default: e
    },
    medium: {
      type: Number,
      default: r
    }
  },
  provide() {
    return {
      adaptiveModeBreakpoints: {
        small: this.small,
        medium: this.medium
      }
    };
  },
  render() {
    return this.$slots.default();
  }
});
export {
  o as AdaptiveModeProvider
};
